package com.jxml.quick.model.qiml;

/**
 * ChildElement -
 * 
 * The childElement or link element is used to establish the presence of an element withing the
 * content model of another element.
 */
public class ChildElement implements ContentModel {

    /** The default attribute defines the default value of an attribute. */
    protected String default_23;

    /**
     * The fixed attribute specified that the attribute value must not
     * 
differ from the value given by the default attribute.
     */
    protected boolean fixed_24 = false;

    /** default = "false" */
    protected boolean optional_21 = false;

    /** default = "false" */
    protected boolean repeating_22 = false;

    protected Access access_25;

    protected ElementDefinition elementDefinition_26;


    public ChildElement() {
    }

    /** full constructor */
    public ChildElement(String default_23, boolean fixed_24, boolean optional_21, boolean repeating_22, Access access_25, ElementDefinition elementDefinition_26) {
        this.default_23 = default_23;
        this.fixed_24 = fixed_24;
        this.optional_21 = optional_21;
        this.repeating_22 = repeating_22;
        this.access_25 = access_25;
        this.elementDefinition_26 = elementDefinition_26;
    }

    /** minimum constructor */
    public ChildElement(ElementDefinition elementDefinition_26) {
        this.elementDefinition_26 = elementDefinition_26;
    }

    /** The default attribute defines the default value of an attribute. */
    public String getDefault_23() {
        return(default_23);
    }

    /** The default attribute defines the default value of an attribute. */
    public void setDefault_23(String default_23) {
        this.default_23 = default_23;
    }

    /**
     * The fixed attribute specified that the attribute value must not
     * 
differ from the value given by the default attribute.
     */
    public boolean getFixed_24() {
        return(fixed_24);
    }

    /**
     * The fixed attribute specified that the attribute value must not
     * 
differ from the value given by the default attribute.
     */
    public void setFixed_24(boolean fixed_24) {
        this.fixed_24 = fixed_24;
    }

    /** default = "false" */
    public boolean getOptional_21() {
        return(optional_21);
    }

    /** default = "false" */
    public void setOptional_21(boolean optional_21) {
        this.optional_21 = optional_21;
    }

    /** default = "false" */
    public boolean getRepeating_22() {
        return(repeating_22);
    }

    /** default = "false" */
    public void setRepeating_22(boolean repeating_22) {
        this.repeating_22 = repeating_22;
    }

    public Access getAccess_25() {
        return(access_25);
    }

    public void setAccess_25(Access access_25) {
        this.access_25 = access_25;
    }

    public ElementDefinition getElementDefinition_26() {
        return(elementDefinition_26);
    }

    public void setElementDefinition_26(ElementDefinition elementDefinition_26) {
        this.elementDefinition_26 = elementDefinition_26;
    }

}
